import TextField from "@mui/material/TextField";
import {
  refreshcalendarExitPriceChartData,
  refreshSimilarCalendarPriceChartData,
} from "./actions";
import { span } from "./state";
import { EditableValue } from "./EditableValue";
import Slider from "@mui/material/Slider";

const handleSpanChange = (e) => {
  if (span.value !== Number.parseInt(e.target.value)) {
    span.value = Number.parseInt(e.target.value);
    refreshSimilarCalendarPriceChartData();
    refreshcalendarExitPriceChartData();
  }
};

function DaysBetweenFrontAndBackExpirationChooser() {
  return (
    <TextField
      fullWidth
      label="Front-to-Back-Month Days to Expiration Difference"
      type="number"
      value={span.value}
      onChange={handleSpanChange}
      InputProps={{ endAdornment: "Days Difference" }}
    />
  );
}

export function EditableSpan() {
  return (
    <Slider
      value={span.value}
      onChange={handleSpanChange}
      min={3}
      max={45}
      step={1}
      valueLabelDisplay="on"
    />
    // <EditableValue text={span.value}>
    //   <DaysBetweenFrontAndBackExpirationChooser />
    // </EditableValue>
  );
}
